> ## Documentation Index
> Fetch the complete documentation index at: https://docs.upag.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Obter cliente

> Consulta um cliente pelo ID

## Endpoint

<CodeGroup>
  ```bash cURL theme={null}
  curl https://api.upag.io/v1/customers/660e8400-e29b-41d4-a716-446655440001 \
    -H "Authorization: Bearer sk_test_your_api_key"
  ```
</CodeGroup>

## Resposta

`200 OK`

```json Response theme={null}
{
  "id": "660e8400-e29b-41d4-a716-446655440001",
  "name": "John Customer",
  "email": "john@example.com",
  "document": { "number": "12345678901", "type": "cpf" },
  "phone": {
    "countryCode": "55",
    "areaCode": "11",
    "number": "999998888"
  },
  "address": {
    "street": "Rua A",
    "number": "100",
    "complement": "Apto 1",
    "neighborhood": "Centro",
    "city": "Sao Paulo",
    "state": "SP",
    "country": "BR",
    "zip": "01001000"
  },
  "createdAt": "2026-03-18T11:00:00.000Z",
  "updatedAt": "2026-03-18T11:00:00.000Z"
}
```
